#pragma once

#include "CoreMinimal.h"
#include "BaseSurvivorAnimInstance.h"
#include "EInteractionAnimation.h"
#include "GameplayTagContainer.h"
#include "ClosetIdleSurvivorSubAnimInstance.generated.h"

class UAnimSequence;

UCLASS(Blueprintable, NonTransient)
class DBDANIMATION_API UClosetIdleSurvivorSubAnimInstance : public UBaseSurvivorAnimInstance
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	EInteractionAnimation _interactionType;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	bool _isInsideLocker;

	UPROPERTY(EditAnywhere)
	FGameplayTag _asClosetIdleTag;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UAnimSequence* _asClosetIdle;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	bool _closetIdleToBaseRule;

public:
	UClosetIdleSurvivorSubAnimInstance();
};

FORCEINLINE uint32 GetTypeHash(const UClosetIdleSurvivorSubAnimInstance) { return 0; }
